Class | Spec::Story::Runner::StoryParser::StoryState
In: | lib/spec/story/runner/story_parser.rb
Parent: | State

### Methods

eof event given one_more_of_the_same other outcome scenario story

### Public Instance methods

eof()

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 179
    179:           def eof
    180:             @parser.create_story
    181:           end

event(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 167
    167:           def event(line)
    168:             other(line)
    169:           end

given(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 163
    163:           def given(line)
    164:             other(line)
    165:           end

one_more_of_the_same(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 148
    148:           def one_more_of_the_same(line)
    149:             other(line)
    150:           end

other(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 175
    175:           def other(line)
    176:             @parser.add_story_line(line)
    177:           end

outcome(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 171
    171:           def outcome(line)
    172:             other(line)
    173:           end

scenario(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 157
    157:           def scenario(line)
    158:             @parser.create_story
    159:             @parser.create_scenario(line)
    160:             @parser.transition_to(:scenario_state)
    161:           end

story(line)

[Source]

         # File lib/spec/story/runner/story_parser.rb, line 152
    152:           def story(line)
    153:             @parser.create_story
    154:             @parser.add_story_line(line)
    155:           end

[Validate]